<%@ page language="java" pageEncoding="UTF-8"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
	<title>找回密码 上游戏 上游网络官方游戏平台</title>
	<meta name="keywords" content="上游戏,上游戏平台,社交游戏,网页游戏,上游,社交,娱乐,休闲,庄园时代,娱乐圈,妖来也,芒果,芒果大作战,芒果大作战官网,芒果官网,芒果作战,芒果作战官网,水果大作战,湖南卫视芒果大作战,,上游网络,上游网络科技有限公司,找回密码" />
	<meta name="description" content="忘记密码,回答问题找回密码,上游网络科技有限公司官方游戏平台,长沙上游网络科技有限公司" />
	<link rel="shortcut icon" href="favicon.ico" type="image/x-icon" />
	<link type="text/css" rel="stylesheet" href="css/global.css" />
	<style type="text/css">
		#body { width:900px; }
		#body .wrapper { width:600px; margin:80px auto; }
		#body .wrapper h3 { padding:3px 0; font-size:16px; font-weight:bold; border-bottom:1px solid #d6d6d6; }
		#body .wrapper h3 span { margin-right:10px; padding:0 10px; }
		#body .wrapper h3 span.index { border-bottom:3px solid #7eb816; }
		#body tr { height:60px; }
		#body label { display:block; text-align:right; font-size:14px; }
		#body .text input { width:178px; }
		#body .tip { padding-left:5px; color:#888888; }
		#body .loader { padding-left:40px; background:url(images/loader.gif) no-repeat 5px 15px; color:#eb8b00; }
		#body .error { padding-left:18px; background:url(images/error.png) no-repeat 3px 24px; color:#ff6666; }
		#body .right { padding-left:18px; background:url(images/right.png) no-repeat 3px 24px; color:#7eb816; }
		#body td img { margin:30px 0 0 25px; cursor:pointer; }
		#step2a p, #step2b p { margin:50px 120px 0 0; text-align:center; }
		#step2c div { margin:0 50px 30px; padding:20px; color:#8b7708; text-align:center; border:1px solid #d2b61b; border-radius:3px; background:#ffffe1; }
		#step2c div p { margin:10px 10px 30px; font-size:14px; text-indent:2em; text-align:left; }
		#step2c div strong { color:#ae3d3d; }
		#step2c b { padding:0 2px; }
		#step2c button { margin-left:5px; text-indent:0; line-height:14px; cursor:pointer; _vertical-align:middle; _padding-top:3px; }
		#step2end div { margin:0 50px 30px; padding:20px; color:#8b7708; border:1px solid #d2b61b; border-radius:3px; background:#ffffe1; }
		#step2end div p { margin:10px; font-size:14px; text-indent:2em; }
		#step1, #step2a, #step2b, #step2c, #step2end, #step3 { margin:60px 0; }
		#step2a, #step2b, #step2c, #step2end, #step3 { display:none; }
		ol { margin:0px 60px 30px; padding:0; line-height:24px; }
		ol li { margin-left:20px; }
	</style>
</head>

<body>

<!-- 页顶登陆+用户信息 -->
<%@ include file="head.jsp"%>

<div id="body">
	<h1>找回密码</h1>
	<div class="wrapper">
		<h3><span class="index">1、提交账号 ››</span><span>2、验证权限 ››</span><span>3、设置新密码</span></h3>
		<!-- 提交账号 -->
		<table id="step1">
			<tr>
				<td><label for="uid">账号：</label></td>
				<td><div class="text"><input type="text" name="uid" id="uid" /></div></td>
				<td class="tip">请输入您的账号</td>
			</tr>
			<tr>
				<td width="120px"></td>
				<td width="200px"><img alt="下一步" src="images/next.png" /></td>
				<td width="220px"></td>
			</tr>
		</table>
		<!-- 二级密码 -->
		<div id="step2a">
			<table>
				<tr>
					<td><label for="tword">二级密码：</label></td>
					<td><div class="text"><input type="password" name="tword" id="tword" /></div></td>
					<td class="tip">请输入注册时设置的密码</td>
				</tr>
				<tr>
					<td width="120px"></td>
					<td width="200px"><img alt="下一步" src="images/next.png" /></td>
					<td width="220px"></td>
				</tr>
			</table>
			<p>
				<strong>二级密码忘记了？</strong>
				<span>您还可以通过<a class="bg answer" href="javascript:void(0)">回答密保问题</a>找回密码</span>
				<span>您还可以通过<a class="bg mail" href="javascript:void(0)">邮箱</a>找回密码</span>
			</p>
		</div>
		<!-- 回答问题 -->
		<div id="step2b">
			<table>
				<tr>
					<td><label>密保问题：</label></td>
					<td><div class="text"><input type="text" name="question" id="question" disabled="true" /></div></td>
					<td></td>
				</tr>
				<tr>
					<td><label for="answer">密保答案：</label></td>
					<td><div class="text"><input type="text" name="answer" id="answer" /></div></td>
					<td class="tip">请输入您的密保答案</td>
				</tr>
				<tr>
					<td width="120px"></td>
					<td width="200px"><img alt="下一步" src="images/next.png" /></td>
					<td width="220px"></td>
				</tr>
			</table>
			<p>
				<strong>密保答案忘记了？</strong>
				<span>您还可以通过通过<a class="bg tword" href="javascript:void(0)">提交二级密码</a>找回密码</span>
				<span>您还可以通过<a class="bg mail" href="javascript:void(0)">邮箱</a>找回密码</span>
			</ol>
		</div>
		<!-- 发送邮件 -->
		<div id="step2c">
			<div>
				<p>您好，系统已经发送一封包含设置新密码链接地址的邮件到您的注册邮箱（<strong id="email"></strong>）中，请登陆您的邮箱查看邮件，并点击其中的链接地址继续设置新密码。</p>
				<a target="_blank" href="javascript:void(0)"><img alt="点击登陆邮箱" src="images/email_login.png" /></a>
			</div>
			<ol><strong>没有收到邮件?</strong>
				<li>网络可能稍有延迟，请多刷新几次收件箱；</li>
				<li>邮件可能被误认成广告或垃圾邮件了，去检查一下吧；</li>
				<li>您还可以<span>在<b></b>秒之后</span>尝试<button>重新发送邮件</button><i>&nbsp;</i></li>
			</ol>
		</div>
		<!-- 发送邮件 -->
		<div id="step2end">
			<div><p>您好，由于您尚未设置密保问题和答案，无法通过此方式找回密码，请联系客服来找回密码。</p></div>
		</div>
		<!-- 设置新密码 -->
		<table id="step3">
			<tr>
				<td><label for="pword">新密码：</label></td>
				<td><div class="text"><input type="password" name="pword" id="pword"  /></div></td>
				<td class="tip">请设置您的密码</td>
			</tr>
			<tr>
				<td><label for="rword">重复密码：</label></td>
				<td><div class="text"><input type="password" name="rword" id="rword" /></div></td>
				<td class="tip">请重新输入密码</td>
			</tr>
			<tr>
				<td width="120px"></td>
				<td width="200px"><img alt="修改" src="images/modify.png" /></td>
				<td width="220px"></td>
			</tr>
		</table>
	</div>
</div>

<!-- 页脚信息 -->
<%@ include file="foot.jsp"%>

 
<script type="text/javascript" src="js/jquery.js"></script>
<script type="text/javascript" src="js/global.js"></script>
<script type="text/javascript">
	$(function(){
		//页面初始化
		if('${setPword}' == ''){
			init();
		}else{
			$('#step1').hide();
			setPword();
		}
	});
	
	function init(){
		$('#step1 img').click(function(){
			var $uid = $('#uid');
			var $tip = $uid.parent().parent().next();
			if($uid.val() == ''){
				$tip.attr('class','error').text('请输入您的账号');
				$uid.focus();
			}else{
				$.loader.show();
				$.ajax({
					url: urls.findUserPwd,
					type: 'POST',
					data: {step:1,userloginid:$uid.val()},
					success: function(data){
						$.loader.hide();
						if(data.result){
							$('#body h3 span').removeClass('index').eq(1).addClass('index');
							$('#step1').hide();
							if(data.tword){ //有二级密码，新用户，无邮箱
								$('#step2a').show();
								if(data.question){
									$('#question').val(data.question);
									$('.mail').parent().hide();
								}else{
									$('#step2a>p').hide();
								}
							}else{ //无二级密码，老用户，可能有邮箱
								if(data.question){
									$('#question').val(data.question);
									$('#step2b').show();
									if(data.email){
										$('#email').text(data.email);
										$('.tword').parent().hide();
									}else{
										$('#step2b>p').hide();
									}
								}else if(data.email){
									$('#email').text(data.email);
									$('#step2c').show();
									sendInit();
								}else{
									$('#step2end').show();
								}
							}
						}else{
							$tip.attr('class','error').text('此账号尚未注册');
							$uid.focus();
						}
					},
					error: function(){
						$.message.show('抱歉，服务器出错啦，请刷新页面重试',5,function(){location.href = location.href;});
					}
				});
			}
		});
		
		$('.answer').click(function(e){
			e.preventDefault();
			$('#step2a').hide();
			$('#step2b').show();
		});
		
		$('.tword').click(function(e){
			e.preventDefault();
			$('#step2b').hide();
			$('#step2a').show();
		});
		
		$('.mail').click(function(e){
			e.preventDefault();
			$('#step2a').hide();
			$('#step2b').hide();
			$('#step2c').show();
			sendInit();
		});
		
		//通过二级密码找回
		$('#step2a img').click(function(){
			var $tword = $('#tword');
			var $tip = $tword.parent().parent().next();
			if($tword.val() == ''){
				$tip.attr('class','error').text('请输入二级密码');
			}else{
				$.loader.show();
				$.ajax({
					url: urls.findUserPwd,
					type: 'POST',
					data: {step:2,way:2,tword:$tword.val()},
					success: function(data){
						$.loader.hide();
						if(data){
							$('#step2a').hide();
							setPword();
						}else{
							$tip.attr('class','error').text('输入的二级密码不正确');
							$tword.focus();
						}
					},
					error: function(){
						$.message.show('抱歉，服务器出错啦，请刷新页面重试',5,function(){location.href = location.href;});
					}
				});
			}
		});
		
		//通过密保找回
		$('#step2b img').click(function(){
			var $answer = $('#answer');
			var $tip = $answer.parent().parent().next();
			if($answer.val() == ''){
				$tip.attr('class','error').text('请输入问题答案');
			}else{
				$.loader.show();
				$.ajax({
					url: urls.findUserPwd,
					type: 'POST',
					data: {step:2,way:1,answer:$answer.val()},
					success: function(data){
						$.loader.hide();
						if(data){
							$('#step2b').hide();
							setPword();
						}else{
							$tip.attr('class','error').text('输入的答案不正确');
							$answer.focus();
						}
					},
					error: function(){
						$.message.show('抱歉，服务器出错啦，请刷新页面重试',5,function(){location.href = location.href;});
					}
				});
			}
		});
		
		if('${param.uid}' != ''){
			$('#uid').val('${param.uid}').focus();
		}
	}
	
	function sendInit(){
		var email = $('#email').text();
		$('#step2c').find('button').click(sendEmail).end().find('a').attr('href','http://mail.' + email.substr(email.indexOf('@') + 1));
		sendEmail(false);
	}
	
	function sendEmail(first){
		var sleep = 300; //邮件发送间隔
		var $button = $('#step2c button').attr('disabled','true');
		var $b = $button.parent().find('b').text(sleep);
		$b.parent().show();
		if(first){
			$.tip.show('邮件发送中，请稍候……',$button.next(),$('#step2c a'));
		}
		$.get(urls.sendEmail, function(data){
			switch(data){
				case 1:
					var count = sleep;
					var timer = setInterval(function(){
						if(--count == 0){
							clearInterval(timer);
							$b.parent().hide();
							$button.removeAttr('disabled');
						}else{
							$b.text(count);
						}
					},1000);
					if(first){
						$.tip.show('邮件已经重新发送成功，请查收',$button.next(),$('#step2c a'));
					}
					break;
				case 2:
					$b.parent().hide();
					$button.removeAttr('disabled');
					$.tip.show('邮件发送失败，请重试',$button.next(),$('#step2c a'));
					break;
				case 3:
				case 4:
					var tip = (data==3?'邮箱无效':'连接已超时') + '，请刷新页面重新找回密码'
					$('#step2c').hide().next().show().find('p').text(tip);
			}
		});
	}
	
	function setPword(){
		$('#body h3 span').removeClass('index').eq(2).addClass('index');
		$('#step3').show().find('img').click(function(){
			var $pword = $('#pword');
			var $rword = $('#rword');
			var $tip1 = $pword.parent().parent().next();
			var $tip2 = $rword.parent().parent().next();
			if($pword.val() == ''){
				$tip1.attr('class','error').text('请输入密码');
				$pword.focus();
			}else if($pword.val().length<6){
				$tip1.attr('class','error').text('您输入的密码过短');
				$pword.focus();
			}else if($pword.val() != $rword.val()){
				$tip1.attr('class','right').empty();
				$tip2.attr('class','error').text('两次输入的密码不一致');
				$rword.focus();
			}else{
				$tip1.attr('class','right').empty();
				$tip2.attr('class','right').empty();
				$.loader.show();
				$.ajax({
					url: urls.findUserPwd,
					type: 'POST',
					data: {step:4,pword:$pword.val(),rword:$rword.val()},
					success: function(data){
						$.loader.hide();
						switch(data){
							case 1:
								$.message.show('密码设置成功，请登陆',3,function(){location.href = 'http://www.139up.com/';});
								break;
							case 2:
								$tip1.attr('class','error').text('您输入的密码过短');
								$pword.focus();
								break;
							case 3:
								$tip2.attr('class','error').text('两次输入的密码不一致');
								$rword.focus();
								break;
							case 4:
								$.message.show('连接已超时，请重新找回密码',5,function(){location.href = location.href;});
								break;
							case 5:
								$tip1.attr('class','error').text('不能与二级密码相同');
								$pword.focus();
						}
					},
					error: function(){
						$.message.show('抱歉，服务器出错啦，请重试',3);
					}
				});
			}
		});
	}
</script>

</body>
</html>
